Skip to main content

Upload files

POST
/files/upload

Contract

Parameter
Value
Sectionfiles
AuthenticationCookieAuth
Consumesmultipart/form-data
Producesapplication/json

Parameters

2 parameters

Name
Location
Required
Type
Description
filesformDatayesfileFiles to upload (repeat this field; maximum 10)
categoryquerynostringStorage category for uploaded files (for example malware, cve, dynamic_application; empty for general-purpose files)
  • {}

Responses

4 responses

Status
Description
Type
200
Created file recordsobject[]
400
Invalid multipart form, no files provided, or more than 10 files providedobject
401
Unauthorizedobject
500
Failed to save the file or its recordobject
  • [
      {
        "category": "<string>",
        "createdAt": "<string>",
        "first_seen_at": "<string>",
        "id": 0,
        "issuer": {
          "agreementAccepted": true,
          "createdAt": "<string>",
          "deletedAt": "<string>",
          "email": "<string>",
          "group": {
            "createdAt": "<string>",
            "deletedAt": "<string>",
            "id": 0,
            "issuer": {},
            "issuerID": 0,
            "name": "<string>",
            "permissions": [
              {}
            ],
            "updatedAt": "<string>",
            "users": [
              {}
            ]
          },
          "groupID": 0,
          "id": 0,
          "isActive": true,
          "isRequiredToSetPassword": true,
          "lastLogin": "<string>",
          "notificationsReadAt": "<string>",
          "passwordLength": 0,
          "realName": "<string>",
          "updatedAt": "<string>"
        },
        "issuerID": 0,
        "md5": "<string>",
        "mime": "<string>",
        "name": "<string>",
        "original_sha256": "<string>",
        "sha1": "<string>",
        "sha256": "<string>",
        "sha3_384": "<string>",
        "size": 0,
        "source": "<string>",
        "syncReady": true,
        "tags": "<string>",
        "updatedAt": "<string>"
      }
    ]
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }